/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __BATTERY_MONITOR_H__
#define __BATTERY_MONITOR_H__

#include "display/core.h"

typedef struct {
	int (*update_bds_record)(enum state_t lcd_state);
	int (*update_bds_brightness_record)(unsigned int val);
} _battery_monitor_ops;

int update_bds_record(enum state_t lcd_state);
int update_bds_brightness_record(unsigned int val);

#endif	/* __BATTERY_MONITOR_H__ */