/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __EXTCON_COUNT_H__
#define __EXTCON_COUNT_H__

#include "core/common.h"

typedef enum {
	EXTCON_TA			= 0,
	EXTCON_EARJACK,
	EXTCON_BATTERY_FULL,
	EXTCON_BATTERY_CYCLE,
} extcon_index_type_e;

struct extcon_notifier {
	extcon_index_type_e index;
	unsigned long count;
};

#endif /* __EXTCON_COUNT_H__ */
