/*
 * deviced
 *
 * Copyright (c) 2020 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DOZE_H__
#define __DOZE_H__

/* To request pmqos start and stop for Doze */
#define DOZE_PMQOS_START	1
#define DOZE_PMQOS_STOP		0

void enter_doze(void);
void leave_doze(void);
int doze_init(void);
int doze_exit(void);
int doze_pmqos_request(int req);
#endif
